export interface FileInfo {
    type: 'DIRECTORY' | 'FILE';
    name: string;
    size: number;
    modifyTime: Date;
}
export interface FileHandleInterface {
    readonly path: string;
    get(): Buffer;
    close(): boolean;
}
export interface FilesSDKInterface {
    list(path: string): Promise<Array<FileInfo>>;
    read(filePath: string): Promise<FileHandleInterface>;
    write(filePath: string, data: FileHandleInterface | Buffer | string): Promise<boolean>;
    delete(path: string): Promise<boolean>;
    exists(path: string): Promise<boolean>;
    pathAsDsn(path: string): string;
}
